Package org.firebirdsql.gds.ng.jna

## Interface JnaAttachment

All Superinterfaces:
  `java.lang.AutoCloseable`, `ExceptionListenable`, `FbAttachment`

All Known Implementing Classes:
  `JnaDatabase`, `JnaService`

    public interface JnaAttachment
    extends FbAttachment

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Default Methods
`default GDSServerVersion` `getClientVersion()` Reports the client library version of this attachment.

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

`attach, close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getHandle, getNetworkTimeout, getServerVersion, isAttached, isLockedByCurrentThread, setNetworkTimeout, withLock`

### Method Detail

#### getClientVersion

    default GDSServerVersion getClientVersion()

Reports the client library version of this attachment.

The default implementation extracts the last raw version string of `FbAttachment.getServerVersion()` and parses that.

Returns:
  client version, may report `GDSServerVersion.INVALID_VERSION` if the implementation can't determine the client version or if parsing fails.
Since:
  5.0.8